Skip to Content
veriom

Update finding collaboration

PATCH
/v1/workspaces/{workspace_id}/findings/{finding_id}/collaboration

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
finding_id*Finding Id
Formatuuid

Request Body

application/json
  1. body
assignee_id?|null
blocked_reason?|null
clear_assignee?Clear Assignee
Defaultfalse
clear_due_at?Clear Due At
Defaultfalse
due_at?|null
expected_version*Expected Version
Range1 <= value
priority?|null
status?|null

Response Body

Successful Response

application/json
  1. response
attachments*array<>
collaboration*
current_user_id*Current User Id
Formatuuid
external_issues*array<>
members*array<>
timeline*array<>
watchers*array<>
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/collaboration' \  -H 'Content-Type: application/json' \  -d '{  "expected_version": 1}'
Example Response
{  "attachments": [    {      "content_type": "string",      "created_at": "2019-08-24T14:15:22Z",      "filename": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "retained_until": "2019-08-24T14:15:22Z",      "sha256": "string",      "size_bytes": 0,      "status": "string",      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",      "uploaded_by": "e134ce2c-a199-4e99-9c11-627b70a7ff28"    }  ],  "collaboration": {    "assignee_id": "e209ca2d-190b-4818-b659-67d4ef4f1ce8",    "blocked_reason": "string",    "due_at": "2019-08-24T14:15:22Z",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "priority": "string",    "status": "string",    "updated_at": "2019-08-24T14:15:22Z",    "version": 0  },  "current_user_id": "50c4b883-f120-4d9f-8027-c7e77f1adff7",  "external_issues": [    {      "external_id": "string",      "external_url": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last_error": "string",      "last_status": "string",      "last_synced_at": "2019-08-24T14:15:22Z",      "provider": "string",      "revoked_at": "2019-08-24T14:15:22Z",      "sync_cursor": "string",      "sync_state": "string",      "updated_at": "2019-08-24T14:15:22Z",      "workflow_action_id": "7de771d7-f9cd-453f-8427-f366cba180e9"    }  ],  "members": [    {      "avatar_url": "string",      "display_name": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "login": "string",      "role": "string"    }  ],  "timeline": [    {      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "created_at": "2019-08-24T14:15:22Z",      "details": {},      "event_type": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",      "resource_type": "string",      "version": 0    }  ],  "watchers": [    {      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"    }  ]}